---
title: RTCRemoteOutboundRtpStreamStats
slug: Web/API/RTCRemoteOutboundRtpStreamStats
tags:
  - API
  - Dictionary
  - Identifiers
  - Media
  - RTCRemoteOutboundRtpStreamStats
  - RTCStats
  - RTCStatsReport
  - RTP
  - Reference
  - Remote
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - WebRTC Device API
  - stream
---
<p>{{DefaultAPISidebar("WebRTC")}}</p>

<p>The WebRTC statistics model's <strong><code>RTCRemoteOutboundRtpStreamStats</code></strong> dictionary extends the underlying {{domxref("RTCSentRtpStreamStats")}} dictionary with properties measuring metrics specific to outgoing {{Glossary("RTP")}} streams.</p>

<h2 id="Properties">Properties</h2>

<p><em>In addition to the properties defined by {{domxref("RTCSentRtpStreamStats")}} and its underlying {{domxref("RTCRtpStreamstats")}} and {{domxref("RTCStats")}} dictionaries, <code>RTCRemoteOutboundRtpStreamStats</code> defines the following properties.</em></p>

<dl>
 <dt>{{domxref("RTCRemoteOutboundRtpStreamStats.localId", "localId")}}</dt>
 <dd>A {{domxref("DOMString")}} which is used to find the local {{domxref("RTCInboundRtpStreamStats")}} object which shares the same Synchronization Source (SSRC).</dd>
 <dt>{{domxref("RTCRemoteOutboundRtpStreamStats.remoteTimestamp", "remoteTimestamp")}}</dt>
 <dd>A {{domxref("DOMHighResTimeStamp")}} specifying the timestamp (on the remote device) at which the statistics in the <code>RTCRemoteOutboundRtpStreamStats</code> object were sent by the remote endpoint. This is different from the {{domxref("RTCStats.timestamp", "timestamp")}} found in the base {{domxref("RTCStats")}} dictionary; it represents the time at which the object's statistics were received or generated by the local endpoint.</dd>
 <dt>{{domxref("RTCRemoteOutboundRtpStreamStats.reportsSent", "reportsSent")}}</dt>
 <dd>An integer value indicating the total number of RTCP Sender Report (SR) blocks that this SSRC has sent.</dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>The <code>RTCRemoteOutboundRtpStreamStats</code> object's {{domxref("RTCRemoteOutboundRtpStreamStats.remoteTimestamp", "remoteTimestamp")}} proeprty provides statistics based on the received data's NTP timestamp taken from an {{Glossary("RTCP")}} Sender Report (SR) block. Be aware that the remote clock may not be synchronized with the local clock (either in current time or speed at which time elapses).</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#remoteoutboundrtpstats-dict*', 'RTCRemoteOutboundRtpStreamStats')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRemoteOutboundRtpStreamStats")}}</p>
